Summary:	Aurox Live-Installer
Name:		live_installer
Version:	1.0
Release:	0%{?dist}
Url:		http://www.aurox.org
Group:		User Interface/Desktops
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}.tar.bz2 
Requires:	qt parted yum grub
BuildRequires:	qt-devel parted-devel

%description
Live-Installer is a tool which lets you install aurox live on your hdd;

%prep
%setup -q -n %{name}

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/desc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde/

install -m 755 liveCD_installer $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 *.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 qtparted/ts/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 744 *.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 install.desktop $RPM_BUILD_ROOT%{_datadir}/applications/kde/liveinstaller.desktop
install -m 755 halt $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -Rf desc/* $RPM_BUILD_ROOT%{_datadir}/%{name}/desc
chmod 744 $RPM_BUILD_ROOT%{_datadir}/%{name}/desc/*
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/desc/??/*

%post
%postun
%files
%{_bindir}/%{name}
%{_datadir}/%{name}/*.qm
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/desc/*/*
%{_datadir}/applications/kde/liveinstaller.desktop
%{_datadir}/%{name}/halt

%changelog
* Wed Aug 16 2006 Czarek Butler <czarek@aurox.org> 1.0
- initial release

